Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596365 - [abrt] crash in desktopcouch-0.6.3-4.fc13: desktopcouch-service:41:<module>:ImportError: No module named twisted.internet
Summary: [abrt] crash in desktopcouch-0.6.3-4.fc13: desktopcouch-service:41:<module>:I...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: desktopcouch
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7950ba68
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 16:46 UTC by AFD
Modified: 2011-06-27 16:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:43:27 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-26 16:46 UTC, AFD
no flags Details

Description AFD 2010-05-26 16:46:03 UTC
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/desktopcouch-service
component: desktopcouch
executable: /usr/bin/desktopcouch-service
kernel: 2.6.33.3-85.fc13.i686
package: desktopcouch-0.6.3-4.fc13
reason: desktopcouch-service:41:<module>:ImportError: No module named twisted.internet
release: Fedora release 13 (Goddard)

backtrace
-----
desktopcouch-service:41:<module>:ImportError: No module named twisted.internet

Traceback (most recent call last):
  File "/usr/bin/desktopcouch-service", line 41, in <module>
    from twisted.internet import glib2reactor
ImportError: No module named twisted.internet

Local variables in innermost frame:
logging: <module 'logging' from '/usr/lib/python2.6/logging/__init__.pyc'>
__warningregistry__: {("Not importing directory '/usr/lib/python2.6/site-packages/twisted': missing __init__.py", <type 'exceptions.ImportWarning'>, 41): True}
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/bin/desktopcouch-service'
__package__: None
ENOENT: 2
__name__: '__main__'
__doc__: 'CouchDB port advertiser.\n\nA command-line utility which exports a\ndesktopCouch.getPort method on the bus which returns\nthat port, so other apps (specifically, the contacts API) can work out\nwhere CouchDB is running so it can be talked to.\n\nCalculates the port number by looking in the CouchDB log.\n\nIf CouchDB is not running, then run the script to start it and then\nstart advertising the port.\n\nThis file should be started by D-Bus activation.\n\n'

Comment 1 AFD 2010-05-26 16:46:05 UTC
Created attachment 416929 [details]
File: backtrace

Comment 2 Jeffrey C. Ollie 2010-05-26 17:06:03 UTC
I'm not sure how this is possible.  The twisted.internet python module is provided by python-twisted-core which is in turn required by desktopcouch.  What does "rpm -V python-twisted-core" show?

Comment 3 AFD 2010-05-26 18:38:05 UTC
I run:
rpm -V python-twisted-core

as user it comes back with multiple files as:
missing     /usr/lib/python2.6/site-packages/twisted/trial/util.py (Permission denied)
missing     /usr/lib/python2.6/site-packages/twisted/trial/util.pyc (Permission denied)
missing     /usr/lib/python2.6/site-packages/twisted/trial/util.pyo (Permission denied)

as root is comes back with all the same files as:
.M.....T.    /usr/lib/python2.6/site-packages/twisted/test/test_udp.py
.M.....T.    /usr/lib/python2.6/site-packages/twisted/test/test_zshcomp.py
.M.......    /usr/lib/python2.6/site-packages/twisted/test/testutils.py
.M.....T.    /usr/lib/python2.6/site-packages/twisted/test/threading_latency.pyo
.......T.    /usr/lib/python2.6/site-packages/twisted/test/time_helpers.py

Not sure what else I can think to help troubleshoot this...

Comment 4 Jeffrey C. Ollie 2010-05-26 18:43:15 UTC
How about trying the following:

$ python
Python 2.6.2 (r262:71600, Jan 25 2010, 18:46:47) 
[GCC 4.4.2 20091222 (Red Hat 4.4.2-20)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import twisted.internet
>>>

Comment 5 AFD 2010-05-26 23:59:33 UTC
as root I type:
python

and get:

Python 2.6.4 (r264:75706, Apr  1 2010, 02:56:02) 
[GCC 4.4.3 20100226 (Red Hat 4.4.3-8)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> (I type:) import twisted.internet
(and get:) >>> 

Has this fixed it? have I got the twisted.internet module? (then I tried as user..)

I type: python

and get:

Python 2.6.4 (r264:75706, Apr  1 2010, 02:56:02) 
[GCC 4.4.3 20100226 (Red Hat 4.4.3-8)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import twisted.internet
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named twisted.internet
>>> 


Just for info's sake, I'm running the standard Fedora repos, the fusion free and non-free repos and a couple of others all on F13. Can I test these to ensure they're working properly?

Comment 6 Jeffrey C. Ollie 2010-05-27 04:09:29 UTC
As root, try:

restorecon -rv /usr/lib/python2.6

Comment 7 Bug Zapper 2011-06-02 13:23:57 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2011-06-27 16:43:27 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.